# Issuing functions

The following functions are to be called on the Securities Factory contract.&#x20;

### **Request issue of a Security token**

```typescript
issueSecurity(  _security: string,
                _category: string,
                _company: string, 
                _isin: string, 
                _currency: string, 
                _issuer: string,
                _intermediary: string,                
                _restrictions: string,
                _country: string,
                _qualified: string
                )
```

| \_security     | address of associated investment product                                |
| -------------- | ----------------------------------------------------------------------- |
| \_category     | string product category (eg, Shares)                                    |
| \_company      | string issuing business                                                 |
| \_currency     | address of settlement token                                             |
| \_issuer       | address of issuer wallet requesting issue                               |
| \_intermediary | address of registrar and transfer agent                                 |
| \_restrictions | bytes encoded array of restricted countries                             |
| \_country      | string country of issuer                                                |
| \_qualified    | boolean indicating access of security token to only qualified investors |

### **Query issuer of a Security token**

```
getHolder(_token: string)
```

### **Query investment product for a Security token**

```typescript
getSecurity(_token: string)
```

### **Query other attributes of a Security token**

```typescript
getSecurityToken(_token: string, _issuer: string)
```

| \_token  | address of security token issued |
| -------- | -------------------------------- |
| \_issuer | address of security token issuer |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verified.network/reference/verified-sdk/security-tokens/issuing-functions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
